Bug 26830 - Set focus for cursor to name input box when creating a new list in the OPAC
Summary: Set focus for cursor to name input box when creating a new list in the OPAC
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
: 26827 (view as bug list)
Depends on: 26805
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-26 20:56 UTC by Owen Leonard
Modified: 2020-11-16 20:55 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26830: Set focus for cursor to name input box when creating a new list in the OPAC (1.69 KB, patch)
2020-10-27 10:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26830: Set focus for cursor to name input box when creating a new list in the OPAC (1.74 KB, patch)
2020-10-27 19:35 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26830: Set focus for cursor to name input box when creating a new list in the OPAC (1.80 KB, patch)
2020-10-31 23:57 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-10-26 20:56:41 UTC
+++ This bug was initially created as a clone of Bug #26826 +++

When creating a new list on opac-shelves.pl you have to click in the name input box, which is a required field, so that you can enter text.  It would be more efficient to set the focus for the cursor to always be in the list name input box so that you could just begin typing and eliminate an extra click.
Comment 1 Owen Leonard 2020-10-27 10:31:44 UTC
Created attachment 112548 [details] [review]
Bug 26830: Set focus for cursor to name input box when creating a new list in the OPAC

This patch adds the "focus" class to the list name input box in order to
automatically set focus on the field.

To test, apply the patch and log in to the OPAC.

- Go to Lists -> New list.
- The cursor focus should automatically be on the "list name" field.
Comment 2 Owen Leonard 2020-10-27 10:39:39 UTC
*** Bug 26827 has been marked as a duplicate of this bug. ***
Comment 3 ByWater Sandboxes 2020-10-27 19:35:48 UTC
Created attachment 112593 [details] [review]
Bug 26830: Set focus for cursor to name input box when creating a new list in the OPAC

This patch adds the "focus" class to the list name input box in order to
automatically set focus on the field.

To test, apply the patch and log in to the OPAC.

- Go to Lists -> New list.
- The cursor focus should automatically be on the "list name" field.

Signed-off-by: B Johnson <barbara.johnson@bedfordtx.gov>
Comment 4 Katrin Fischer 2020-10-31 23:57:34 UTC
Created attachment 112791 [details] [review]
Bug 26830: Set focus for cursor to name input box when creating a new list in the OPAC

This patch adds the "focus" class to the list name input box in order to
automatically set focus on the field.

To test, apply the patch and log in to the OPAC.

- Go to Lists -> New list.
- The cursor focus should automatically be on the "list name" field.

Signed-off-by: B Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-11-03 09:59:52 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-11-16 20:55:42 UTC
enhancement will not be backported to 20.05.x